Bug 139663 - Postfix doesn't know its own IP
Postfix doesn't know its own IP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 05:21 EST by Pavel Urban
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-25 10:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Urban 2004-11-17 05:21:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
When I try to send mail to local users using user@[IP] syntax, Postfix
fails to detect it.

[root@hactar root]# telnet www.marvin.cz 25
Trying 194.228.192.234...
Connected to www.marvin.cz.
Escape character is '^]'.
220 www.marvin.cz ESMTP Postfix (2.1.5)
ehlo hactar
250-www.marvin.cz
250-PIPELINING
250-SIZE 20480000
250-VRFY
250-ETRN
250 8BITMIME
mail from: pupu@marvin.cz
250 Ok
rcpt to: lenicka@[192.168.1.154]
554 <lenicka@[192.168.1.154]>: Relay access denied

Also messages like 'mail loops to myself' appear in the logs. I've
tried to recompile from source (offical, not SRPM) and it works -with
the same configuration.

eth0      Link encap:Ethernet  HWaddr 00:C0:4F:90:21:F2
          inet addr:192.168.1.154  Bcast:192.168.1.255  Mask:255.255.255.0



Version-Release number of selected component (if applicable):
postfix-2.1.5-2.3.FC3

How reproducible:
Always

Steps to Reproduce:
1. try to send mail to user@[ip.add.re.ss]
2.
3.
    

Expected Results:  From Postfix' main.cf:
# The local machine is always the final destination for mail addressed
# to user@[the.net.work.address] of an interface that the mail system
# receives mail on (see the inet_interfaces parameter).


Additional info:
Comment 1 Thomas Woerner 2005-03-18 10:43:34 EST
Does the hostname and the ip address match in /etc/hosts?

I have treid this and i can send email to my lcoal ip address.
Comment 2 Pavel Urban 2005-03-18 11:13:59 EST
Well, it works when I try to replace RPM binaries with recompiled ones (make,
make install on sources from www.postfix.org). 

[root@kobyla postfix]# hostname
kobyla
[root@kobyla postfix]# cat /etc/hosts
# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1               kobyla localhost.localdomain localhost
192.168.1.154           www.marvin.cz
[root@kobyla postfix]# grep '^myhostname' /etc/postfix/main.cf
myhostname = www.marvin.cz
Comment 3 Thomas Woerner 2005-03-18 11:39:53 EST
Please have a look at the new postfix-2.2.1-1 package in rawhide.

Please report if this fixes your problem.
Comment 4 Pavel Urban 2005-03-25 10:27:18 EST
Seems like postfix-2.1.5-5 for FC3 resolved my problem. Thanks for your help!

Note You need to log in before you can comment on or make changes to this bug.